WordPress.org

Ready to get started?Download WordPress

Forums

Picasa and Google Plus Express
[resolved] Error after update. (15 posts)

  1. frenkygo
    Member
    Posted 1 year ago #

    Hi all,

    i have bug after update from 1.5.4 to 2.0.1 or 2.0.2

    Parse error: syntax error, unexpected $end in /wp-content/plugins/picasa-express-x2/picasa-express-2.php on line 2468.

    Can someone help me ?

    http://wordpress.org/extend/plugins/picasa-express-x2/

    WordPress 3.5.1

  2. HUNKharon
    Member
    Posted 1 year ago #

    Same here with fresh install

  3. gjanes
    Member
    Plugin Author

    Posted 1 year ago #

    What version of PHP / Apache are you running? I am unable to replicate this issue and wonder if there's a required version of PHP that this plugin needs to list.

  4. frenkygo
    Member
    Posted 1 year ago #

    PHP version
    5.2.17-0.dotdeb.0

    MYSQL version
    5.1.56-0.dotdeb.0

    Version 1.5.4. work fine....

  5. gjanes
    Member
    Plugin Author

    Posted 1 year ago #

    Can you help me identify a common scenario I can test? Is this a multisite installation?

  6. frenkygo
    Member
    Posted 1 year ago #

    Of course I glad to help you...

    No its not multisite instalation...

  7. gjanes
    Member
    Plugin Author

    Posted 1 year ago #

    What OS / character set are you using? I'm wondering if perhaps my editor changed the character set when I did the conversion from 1.5.4?

  8. frenkygo
    Member
    Posted 1 year ago #

    I use Linux - Debian 5.0 / character set is UTF-8.

  9. gjanes
    Member
    Plugin Author

    Posted 1 year ago #

    I believe I have found the source of the problem. I have the option in PHP set to allow the short open tags "<?", and in a few lines of the new version 2.0 code I used <? instead of <?php.

    I will be releasing a version 2.0.3 very soon that should solve this problem.

  10. frenkygo
    Member
    Posted 1 year ago #

    Thank you for your help on behalf of all users of this great plugin

  11. gjanes
    Member
    Plugin Author

    Posted 1 year ago #

    This bug should be corrected in version 2.0.3 which is now available. Please test and let me know.

  12. frenkygo
    Member
    Posted 1 year ago #

    Work great !!! Thanks for your work....

  13. HUNKharon
    Member
    Posted 1 year ago #

    Perfect. KUDOS!

  14. frenkygo
    Member
    Posted 1 year ago #

    Warning:

    The same bug in new version 2.0.6 !!!

  15. gjanes
    Member
    Plugin Author

    Posted 1 year ago #

    I apologize, I did some searches before checking in version 2.0.6 to make sure I hadn't included any PHP short tags and unfortunately my searches missed one pattern.

    I have all of the patterns saved, so this hopefully won't be a problem again. Version 2.0.6 has been corrected.

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic

Tags

No tags yet.